aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2008-11-14 17:44:24 +0000
committerkate.ward <kate.ward@forestent.com>2008-11-14 17:44:24 +0000
commit9b0568f60b52d8fe14e65eb54b5635a9f541d5ba (patch)
tree0f52996567bd7a3bf5c99150b70de111f0e4fac0 /source/1.0/src
parentdadc164c9a462e83f845f31be1ae8bbf72312da4 (diff)
downloadshflags-9b0568f60b52d8fe14e65eb54b5635a9f541d5ba.tar.gz
fixed invalid logic -- was testing a rtrn variable that was from another function context. silly global variables in shell.
Diffstat (limited to 'source/1.0/src')
-rwxr-xr-xsource/1.0/src/shflags_test_public.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/1.0/src/shflags_test_public.sh b/source/1.0/src/shflags_test_public.sh
index f1d8951..c635256 100755
--- a/source/1.0/src/shflags_test_public.sh
+++ b/source/1.0/src/shflags_test_public.sh
@@ -84,9 +84,9 @@ flags:
EOF
( FLAGS_HELP=${help}; FLAGS -h >"${stdoutF}" 2>"${stderrF}" )
diff "${expectedF}" "${stderrF}" >/dev/null
- assertTrue 'unexpected help output' $?
- test ${__shunit_skip} -eq ${SHUNIT_FALSE} -a ${rtrn} -ne ${FLAGS_TRUE}
- th_showOutput $? "${stdoutF}" "${stderrF}"
+ rtrn=$?
+ assertTrue 'unexpected help output' ${rtrn}
+ th_showOutput ${rtrn} "${stdoutF}" "${stderrF}"
}
testEnhancedHelpOutput()